
.card
  border-radius: 20px
  overflow: hidden
  background: #fff
  box-shadow: $box-shadow
  position: relative
  transition: all .5s ease-in-out
  animation-name: fadeIn
  animation-duration: 2s

  & > .header
    padding: 10px 25px 
  & > .image
    width: 100%
    height: 300px
    overflow: hidden
    object-fit: cover
    background: #eee
    img
      width: 100%
      height: 300px
      overflow: hidden
      object-fit: cover
      transition: transform .5s ease
      &:hover
        transform: scale(1.5)
    & > .city
      padding: 8px 10px
      position: absolute
      top: 10px
      background: $primary-color
      border-radius: 5px
      color: #fff
      left: 10px

  & > .content
    padding: 10px 25px

    & > .rating
      padding: 5px 0
      font-size: 20px
      color: #111

    & > .name
      font-size: 30px
      padding: 10px 0
      margin: 0
      a
        color: #333
        font-weight: bold
    
    & > .address
      padding: 0.9rem 1rem
      background: $primary-color
      border-radius: 0 $border-radius $border-radius 0
      border-left: 5px solid #ddd
      color: white
      margin: 20px 0
    .category
      padding: 2px 5px
      display: inline-block
      font-size: 0.9rem
      border-radius: 5px
      margin-right: 10px
      background: #ddd



.card-grid
  display: grid
  grid-template-columns: 1fr
  row-gap: 20px
  padding: 0 3%
  column-gap: 20px
  justify-content: center
  align-items: top

@media screen and (min-width: $breakpoint-sm-min)
  .card-grid
    padding: 0 5%
    grid-template-columns: repeat(2, 1fr)

@media screen and (min-width: $breakpoint-md-min)
  .card-grid
    padding: 0 10%
    grid-template-columns: repeat(3, 1fr)